import { Base58EncodedAddress } from '@solana/keys';
import { Commitment, Slot, U64UnsafeBeyond2Pow53Minus1 } from './common';
type GetInflationRewardApiResponse = Readonly<{
    amount: U64UnsafeBeyond2Pow53Minus1;
    commission: number;
    effectiveSlot: U64UnsafeBeyond2Pow53Minus1;
    epoch: U64UnsafeBeyond2Pow53Minus1;
    postBalance: U64UnsafeBeyond2Pow53Minus1;
}>;
export interface GetInflationRewardApi {
    /**
     * Returns the current block height of the node
     */
    getInflationReward(addresses: Base58EncodedAddress[], config?: Readonly<{
        commitment?: Commitment;
        epoch?: U64UnsafeBeyond2Pow53Minus1;
        minContextSlot?: Slot;
    }>): Promise<readonly (GetInflationRewardApiResponse | null)[]>;
}
export {};
//# sourceMappingURL=getInflationReward.d.ts.map